<?php
/**
 * @ H2N Link Directory 1.0.0 admin.config.php
 * @ Copyright (C) 2008 Harry Klein - www.joomla-hklein.de
 * @
 * @ Link Directory 1.1 admin.config.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @
 * @ $Id: admin.config.php,v 1.44 2009/04/09 20:57:47 harry Exp $
 * @
 **/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

function Config() {
	global $mosConfig_absolute_path, $ld, $database;
	$tabs = new mosTabs(0);
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminheading">
	<tr>
		<th><?php echo _LD_CONFIG;?></th>
	</tr>
	<tr>
		<td valign="top" align="right"><?php echo _LD_CONFIGFILE;?> : <?php
		if (@file_exists($mosConfig_absolute_path.'/administrator/components/com_linkdirectory/config.php') &&  @is_writable( $mosConfig_absolute_path.'/administrator/components/com_linkdirectory/config.php' )){
			echo '<b><font color="green">'._LD_WRITEABLE.'</font></b>';
		} else {
			echo '<b><font color="red">'._LD_UNWRITEABLE.'</font></b>';
		} ?></td>
	</tr>
</table>
<form action="index2.php" method="post" name="adminForm"><?php
$tabs->startPane("configPane");
$tabs->startTab(_LD_GENERAL,"general-page");
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_GEN_SETTINGS;?></th>
	</tr>
	<!-- Column selection-->
	<tr>
		<td align="left" width="30%"><strong><? echo _LD_TCOLUMN;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$sayi = array();
		$sayi[] = mosHTML::makeOption( '2', '2 '. _LD_COL );
		$sayi[] = mosHTML::makeOption( '3', '3 '. _LD_COL );
		$sayi[] = mosHTML::makeOption( '4', '4 '. _LD_COL );
		$bolsayi = mosHTML::selectList( $sayi, 'column', 'class="inputbox" size="1"', 'value', 'text', $ld->column );
		echo $bolsayi;
		?></td>
		<td align="left" valign="top"><?php echo _LD_TCOLDESC;?></td>
	</tr>
	<!-- Column selection-->


	<!-- Total link selection -->
	<?php showYesNo(_LD_MTLINK,_LD_MTLINKDESC,'tlink', true );?>
	<!-- Total link selection -->

	<!-- Total link subcats selection -->
	<?php showYesNo(_LD_STLINK,_LD_STLINKDESC,'tslink', true );?>
	<!-- Total link subcats selection -->

	<!-- Sub category limit -->
	<tr>
		<td align="left"><strong><?php echo _LD_SUBCATLIMIT;?></strong></td>
		<td align="left" valign="top"><input type="text" size="2"
			name="sublimit" value="<?php echo $ld->sublimit;?>" maxlength="1" />
		</td>
		<td align="left" valign="top"><?php echo _LD_SUBCATDESC;?></td>
	</tr>
	<!-- Sub category limit -->

	<!-- Dynamic Page Titles -->
	<?php showYesNo(_LD_DYNAPAGE,_LD_DYNAPAGEDESC,'dpage', true );?>
	<!-- Dynamic Page Titles -->

	<!-- Check Input with JavaScript -->
	<?php showYesNo(_LD_JAVASCRIPT_CHECKS,_LD_JAVASCRIPT_CHECKS_DESC,'javascriptchecks', true );?>
	<!-- Check Input with JavaScript -->

	<!-- Security Image Selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_SEC_IMAGE;?></strong></td>
		<td align="left" valign="top"><?php

		$capcha = array();
		$capcha[] = mosHTML::makeOption( 'none', 'none' );
		
		if (@file_exists($mosConfig_absolute_path."/administrator/components/com_securityimages/config.securityimages.php")){
			global $securityImagesVersionShort;
			require $mosConfig_absolute_path."/administrator/components/com_securityimages/config.securityimages.php";
			list ($major,$minor, $patch) = split('[.]', $securityImagesVersionShort,3);
			if( defined('_JEXEC') ){
				if ($major >= 5) {
					$capcha[] = mosHTML::makeOption( 'securityimages5', 'Security Images' );
				}
			} else {
				if ($major == 4) {
					$capcha[] = mosHTML::makeOption( 'securityimages4', 'Security Images' );
				}	
				if ($major == 3) {
					$capcha[] = mosHTML::makeOption( 'securityimages3', 'Security Images' );
				}
			}
			
		}
	
		if(file_exists($mosConfig_absolute_path.'/components/com_easycaptcha/class.easycaptcha.php')) {
			$capcha[] = mosHTML::makeOption( 'easycaptcha', 'Easy Captcha' );
		}

		$capchalist = mosHTML::selectList( $capcha, 'securityimage', 'class="inputbox" size="1"', 'value', 'text', $ld->securityimage );
		echo $capchalist;
		?></td>
		<td align="left" valign="top"><?php echo _LD_SEC_IMAGE_DESC;?></td>
	</tr>
	<!-- Security Image Selection -->

	<!-- CSS File Selection -->
	<tr>
		<td align="left"><strong><?php echo _LD_SEL_TEMPLATE;?></strong> <a
			href="#"
			onclick="window.open('index3.php?option=com_linkdirectory&amp;task=editcss&amp;template=<?php echo $ld->template;?>', 'win1', 'status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=700,height=500,directories=no,location=no');"><strong><small><?php echo _LD_EDIT_TEMP;?></small></strong></a>
		</td>
		<td align="left" valign="top"><?php
		require_once( $mosConfig_absolute_path .'/includes/domit/xml_domit_lite_include.php' );

		$templateBaseDir = mosPathName( $mosConfig_absolute_path . '/components/com_linkdirectory/templates' );
		if( defined('_JEXEC') ){
                     	jimport( 'joomla.filesystem.folder' );
                     	$templateDirs = JFolder::folders($templateBaseDir);
                }else{
			$templateDirs = mosReadDirectory($templateBaseDir);
                }
		// Check that the directory contains an xml file
		foreach($templateDirs as $templateDir) {
			$dirName = mosPathName($templateBaseDir . $templateDir);
			if( defined('_JEXEC') ){
				$xmlFilesInDir = JFolder::files($dirName,'.xml$');
			}
			else {
				$xmlFilesInDir = mosReadDirectory($dirName,'.xml$');
			}
			foreach($xmlFilesInDir as $xmlfile) {
				// Read the file to see if it's a valid template XML file
				$xmlDoc = new DOMIT_Lite_Document();
				$xmlDoc->resolveErrors( true );
				if (!$xmlDoc->loadXML( $dirName . $xmlfile, false, true )) {
					continue;
				}

				$root = &$xmlDoc->documentElement;
				if ($root->getTagName() != 'ldinstall') {
					continue;
				}
				if ($root->getAttribute( 'type' ) != 'template') {
					continue;
				}

				$row = new StdClass();
				$element 		= &$root->getElementsByPath('name', 1 );
				$row->name 		= $element->getText();
				$cssfile[] = mosHTML::makeOption( $row->name, $row->name);
			}
		}
		$cssf = mosHTML::selectList( $cssfile, 'template', 'class="inputbox" size="1"', 'value', 'text', $ld->template );
		echo $cssf;

		?></td>
		<td align="left" valign="top"><?php echo _LD_TEMPDESC;?></td>
	</tr>
	<!-- CSS File Selection -->
	
	<!-- Disable Software Version Check -->
	<?php showYesNo(_LD_VERSIONCHECK,_LD_VERSIONCHECK_DESC,'versioncheck', true );?>
	<!-- Disable Software Version Check -->
	
	<!-- Disable Copyrigt Info -->
	<?php showYesNo(_LD_COPYRIGHTINFO,_LD_COPYRIGHTINFO_DESC,'copyrigthinfo', true );?>
	<!-- Disable Copyrigt Info -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
      <?php
      $tabs->endTab();
      $tabs->startTab(_LD_CATS,"cat-page");
      ?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_CAT_SETTINGS;?></th>
	</tr>

	<!-- Catimage selection-->
	<?php showYesNo(_LD_CATIMG,_LD_CATIMGDESC,'catimage', true );?>
	<!-- Catimage selection-->

	<!-- Cat description selection -->
	<?php showYesNo(_LD_CATDESC,_LD_CATDESCDESC,'catdesc', true );?>
	<!-- Cat description selection -->

	<!-- Cat suggest -->
	<?php showYesNo(_LD_CATSUGGEST,_LD_CATSUGDESC,'scat', true );?>
	<!-- Cat suggest -->
	
	<!-- Category auto publish -->
	<?php showYesNo(_LD_CAT_SUG_AUTO_PUBLISH,_LD_CAT_SUG_AUTO_PUBLISH_DESC,'ldlcatautopublish',true ); ?>
	<!-- Category auto publish -->
	
	<!-- Category ordering -->
	<tr>
		<td align="left"><strong><?php echo _LD_CAT_ORDER;?></strong></td>
		<td align="left" valign="top"><?php
		$catorder = array();
		$catorder[] = mosHTML::makeOption( 'ordering', _LD_CATORDER_DEF);
		$catorder[] = mosHTML::makeOption( 'id ASC', _LD_CATORDER_IDASC);
		$catorder[] = mosHTML::makeOption( 'id DESC', _LD_CATORDER_IDDESC);
		$catorder[] = mosHTML::makeOption( 'name ASC', _LD_CATORDER_NAMEASC);
		$catorder[] = mosHTML::makeOption( 'name DESC', _LD_CATORDER_NAMEDESC);
		$cordering = mosHTML::selectList( $catorder, 'catorder', 'class="inputbox" size="1"', 'value', 'text', $ld->catorder );
		echo $cordering;
		?></td>
		<td align="left" valign="top"><?php echo _LD_CAT_ORDER_DESC;?></td>
	</tr>
	<!-- Category ordering -->
	
	<!-- Show category name on list -->
	<?php showYesNo(_LD_CAT_DESC_ON_LIST,_LD_CAT_DESC_ON_LIST_DESC,'ldshowcatonlist',true ); ?>
	<!-- Show category name on list -->
	
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>

		<?php
		$tabs->endTab();
		$tabs->startTab(_LD_WEBLINKS,"link-page");
		?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_WEBLINK_SETTINGS;?></th>
	</tr>
	<!-- Add Link -->
	<tr>
		<td align="left"><strong><?php echo _LD_GADDLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$addlink = array();
		$addlink[] = mosHTML::makeOption( '10', '- Select Group -');
		//Everyone
		$addlink[] = mosHTML::makeOption( '0', '- General -');
		$addlink[] = mosHTML::makeOption( '10', 'No User Access');
		//Frontend
		$addlink[] = mosHTML::makeOption( '1', 'Registered');
		$addlink[] = mosHTML::makeOption( '2', 'Author');
		$addlink[] = mosHTML::makeOption( '3', 'Editor');
		$addlink[] = mosHTML::makeOption( '4', 'Publisher');
		//Backend
		$addlink[] = mosHTML::makeOption( '5', 'Manager');
		$addlink[] = mosHTML::makeOption( '6', 'Administrator');
		$addlink[] = mosHTML::makeOption( '7', 'Super Administrator');
			
		$alink = mosHTML::selectList( $addlink, 'allowadd', 'class="inputbox" size="1"', 'value', 'text', $ld->allowadd );
		echo $alink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_GADDLINKDESC;?></td>
	</tr>
	<!-- Add Link -->
	
	<!-- Link auto publish -->
	<?php showYesNo(_LD_LINK_AUTO_PUBLISH,_LD_LINK_AUTO_PUBLISH_DESC,'ldlinkautopublish', true );?>
	<!-- Link auto publish -->

	<!-- Edit Link -->
	<tr>
		<td align="left"><strong><?php echo _LD_GEDITLINK;?></strong></td>
		<td align="left" valign="top"><?php
		$editlink = array();
		$editlink[] = mosHTML::makeOption( '10', '- Select Group -');
		//Frontend
		$editlink[] = mosHTML::makeOption( '2', 'Author');
		$editlink[] = mosHTML::makeOption( '3', 'Editor');
		$editlink[] = mosHTML::makeOption( '4', 'Publisher');
		//Backend
		$editlink[] = mosHTML::makeOption( '5', 'Manager');
		$editlink[] = mosHTML::makeOption( '6', 'Administrator');
		$editlink[] = mosHTML::makeOption( '7', 'Super Administrator');

		$elink = mosHTML::selectList( $editlink, 'allowedit', 'class="inputbox" size="1"', 'value', 'text', $ld->allowedit );
		echo $elink;
		?></td>
		<td align="left" valign="top"><?php echo _LD_GEDITLINKDESC;?></td>
	</tr>
	<!-- Edit Link -->
	<!-- Link limit -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_LINKLIMIT;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="3"
			name="limitlink" value="<?php echo $ld->limitlink;?>" maxlength="2" />
		</td>
		<td align="left" valign="top"><?php echo _LD_LINKLIMITDESC;?></td>
	</tr>
	<!-- Link limit -->

	<!-- Link ordering -->
	<tr>
		<td align="left"><strong><?php echo _LD_LINK_ORDER;?></strong></td>
		<td align="left" valign="top"><?php
		$linkorder = array();
		$linkorder[] = mosHTML::makeOption( 'ordering', _LD_CATORDER_DEF);
		$linkorder[] = mosHTML::makeOption( 'id ASC', _LD_CATORDER_IDASC);
		$linkorder[] = mosHTML::makeOption( 'id DESC', _LD_CATORDER_IDDESC);
		$linkorder[] = mosHTML::makeOption( 'title ASC', _LD_ORDERTITLEASC);
		$linkorder[] = mosHTML::makeOption( 'title DESC', _LD_ORDERTITLEDESC);
		$linkorder[] = mosHTML::makeOption( 'hits ASC', _LD_ORDERHITASC);
		$linkorder[] = mosHTML::makeOption( 'hits DESC', _LD_ORDERHITDESC);
		$linkorder[] = mosHTML::makeOption( 'created ASC', _LD_ORDERDATEASC);
		$linkorder[] = mosHTML::makeOption( 'created DESC', _LD_ORDERDATEDESC);
		if ($ld->ratelink) {
			$linkorder[] = mosHTML::makeOption( 'rating ASC', _LD_ORDERRATEASC);
			$linkorder[] = mosHTML::makeOption( 'rating DESC', _LD_ORDERRATEDESC);
		}
		$lordering = mosHTML::selectList( $linkorder, 'linkorder', 'class="inputbox" size="1"', 'value', 'text', $ld->linkorder );
		echo $lordering;
		?></td>
		<td align="left" valign="top"><?php echo _LD_WEBLINK_ORDER_DESC;?></td>
	</tr>
	<!-- Link ordering -->

	<!-- Link Display -->
	<tr>
		<td align="left"><strong><?php echo _LD_LINKDISPLAY;?></strong></td>
		<td align="left" valign="top"><?php
		$ldisplay = array();
		$ldisplay[] = mosHTML::makeOption( '0', _LD_WEBLINKSTYLE);
		$ldisplay[] = mosHTML::makeOption( '1', _LD_DIRECTURL);
		$ldis = mosHTML::selectList( $ldisplay, 'ldisplay', 'class="inputbox" size="1"', 'value', 'text', $ld->ldisplay );
		echo $ldis;
		?></td>
		<td align="left" valign="top"><?php echo _LD_LINKDISPLAYDESC;?></td>
	</tr>
	<!-- Link Display -->
	
	<!-- Show Long Description on detail page -->
	<?php
	showYesNo(_LD_LONG_DESC_ON_DETAIL_PAGE,_LD_LONG_DESC_ON_DETAIL_PAGE_DESC,'ldlongdetail',true );
	 ?>
	<!-- Show Long Description on detail page -->
	
	
	<!-- Show Long Description on link list -->
	<?php
	showYesNo(_LD_LONG_DESC_ON_LINK_LIST,_LD_LONG_DESC_ON_LINK_LIST_DESC,'ldlonglist',true);
	?>
	<!-- Show Long Description on detail page -->
	
	<!--  Show Detail Page -->
	<?php
	showYesNo(_LD_SHOW_DETAIL_PAGE,_LD_SHOW_DETAIL_PAGE_DESC,'ldshowdetailpage',true);
	?>
	
	<!--  Show Detail Page -->
	<?php
	showYesNo(_LD_SHOW_LINK_ADD,_LD_SHOW_LINK_ADD_DESC,'ldshowlinkadd',true);
	?>
	<!--  Show Detail Page -->

	<!-- Link Rating System -->
	<?php showYesNo(_LD_RATESYSTEM,_LD_RATESYSTEMDESC,'ratelink',true ); ?>
	<!-- Link Rating System -->


	<!-- Show Fast Link -->
	<?php showYesNo(_LD_SHOWFASTLINK,_LD_SHOWFASTLINKDESC,'showfastlink',true ); ?>
	<!-- Show Fast Link -->

	<!-- Show Hits -->
	<?php showYesNo(_LD_SHOWHITS,_LD_SHOWHITSDESC,'showhits',true ); ?>
	<!-- Show Hits -->

	<!-- Link Comment System -->
	<?php showYesNo(_LD_COMMENTSYSTEM,_LD_COMMENTSYSTEMDESC,'commentlink',true ); ?>
	<!-- Link Comment System -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>
</table>

		<?php
		$tabs->endTab();
		$tabs->startTab(_LD_LINK_THUMB,'thumb-page');
		?>
	
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_LINK_THUMB_SETTINGS;?></th>
	</tr>
	<!-- Enable Thumbnail Serices -->
	
	<?php showYesNo( _LD_LINK_THUMB_SERVICE, _LD_LINK_THUMB_SERVICE,'linkthumbaltservice',true ); ?>
	
	<!-- Enable Thumbnail Serices -->
	
	<!-- Show Link Thumb  -->
	<tr>
		<td align="left"><strong><?php echo _LD_LINK_THUMB_SELECTION;?></strong></td>
		<td align="left" valign="top"><?php
		$linkthumbtype = array();
		
		foreach (getAllSupportedLinkThumbnailServices() as $linkthumbnailService) {
			$linkthumbtype[] = mosHTML::makeOption($linkthumbnailService,$linkthumbnailService);
		}
		$linkthumbtype[] = mosHTML::makeOption( 'user',_LD_LINK_THUMB_USER_ITEM);
		echo mosHTML::selectList( $linkthumbtype, 'linkthumbtype', 'class="inputbox" size="1"', 'value', 'text', $ld->linkthumbtype );
		
		?></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_SELECTION_DESC;?></td>
	</tr>
	<!-- Show Link Thumb  -->
	
	
	
	<!-- Thumb Para 1 -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_LINK_THUMB_PARA1;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="linkthumbpara1" value="<?php echo htmlentities($ld->linkthumbpara1);?>" /></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_PARA1_DESC;?></td>
	</tr>
	<!-- Thumb Para 1 -->
		
	<!-- Thumb Para 2 -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_LINK_THUMB_PARA2;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="linkthumbpara2" value="<?php echo htmlentities($ld->linkthumbpara2);?>" /></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_PARA2_DESC;?></td>
	</tr>
	<!-- Thumb Para 2 -->
	
	<!-- Thumb HTML for user spec Link Thumb -->
	<tr>
		<td align="left" valign="top"width="30%"><strong><?php echo _LD_LINK_THUMB_USER_HTML;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="linkthumbuserhtml" value="<?php echo htmlentities($ld->linkthumbuserhtml);?>" /></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_USER_HTML_DESC;?></td>
	</tr>
	<!--  -->
	
	<!-- Back Link HTML for Link Thumb -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_LINK_THUMB_USER_BACK_LINK_HTML;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="linkthumbuserbacklinkhtml" value="<?php echo $ld->linkthumbuserbacklinkhtml;?>" /></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_USER_BACK_LINK_HTML_DESC;?></td>
	</tr>
	<!--  -->
	<tr>
		<th align="center" colspan="3"><?php echo _LD_LINK_THUMB_LOCAL_SETTINGS;?></th>
	</tr>
	
	<!-- Use alternative Images, if available  -->
	<?php showYesNo(_LD_LINK_THUMB_ALT_IMAGE,_LD_LINK_THUMB_ALT_IMAGE_DESC,'linkthumbaltimage',true ); ?>
	<!--  Use alternative Images, if available -->
	
	<!-- Pfad for alternative Images -->
	<?php
	if( defined('_JEXEC') ){
		$base = getLocalThumbnailRootDir(); 
		$folders = JFolder::folders($base, '.', true, true);
		$javascript = "class=\"inputbox\" size=\"1\" onchange=\"ImageManager.setFolder(this.options[this.selectedIndex].value)\" ";
		$javascript = null;
		$options[] = JHTML::_('select.option', "","/");
		foreach ($folders as $folder) {
			$folder 	= str_replace($base, "", $folder);
			$value		= substr($folder, 1);
			$text	 	= str_replace(DS, "/", $folder);
			$options[] 	= JHTML::_('select.option', $value, $text);
		}
		
		// Sort the folder list array
		if (is_array($options)) {
			sort($options);
		}	
		$list = JHTML::_('select.genericlist', $options, 'thumbfolderlist', $javascript, 'value', 'text', $ld->thumbfolderlist);
	} else {
		$list = '<input type="text" size="30" name="thumbfolderlist" value="'. 
				$ld->thumbfolderlist.'" maxlength="60">';
	}?>
	<tr>
		<td align="left"><strong><?php echo _LD_LINK_THUMB_IMAGE_DIR . ' ('.getLocalThumbnailRootDir().')';?></strong></td>
		<td align="left" valign="top"><?php echo $list; ?></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_IMAGE_DIR_DESC;?></td>
	</tr>
	<!-- Pfad for alternative Images -->
	
	<!--  CSS for local Thumbnail -->
	<tr>
		<td align="left" valign="top"width="30%"><strong><?php echo _LD_LINK_THUMB_LOCAL_CSS_CLASS;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="linkthumblocalcssclass" value="<?php echo $ld->linkthumblocalcssclass;?>" /></td>
		<td align="left" valign="top"><?php echo _LD_LINK_THUMB_LOCAL_CSS_CLASS_DESC;?></td>
	</tr>
	<!--  CSS for local Thumbnail -->
	
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>
</table>


		<?php
		$tabs->endTab();
		$tabs->startTab(_LD_INTEGRATE,'int-page');
		?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_INTEGRATEDESC;?></th>
	</tr>

	<!-- Component Integration -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_COMP_INT;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
		$compint = array();
		$compint[] = mosHTML::makeOption( 'jm', _LD_JOOM);
		$compint[] = mosHTML::makeOption( 'cb', _LD_CB);

		$int = mosHTML::selectList( $compint, 'integration', 'class="inputbox" size="1"', 'value', 'text', $ld->integration );
		echo $int;
		?></td>
		<td align="left" valign="top"><?php echo _LD_INTDESC;?></td>
	</tr>
	<!-- Component Integration -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();
		if ($ld->commentlink > 0) {
			$tabs->startTab(_LD_COMMENTS,'comment-page');
			?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_COMMENT_SETTINGS;?></th>
	</tr>
	<!-- Write Comment Only Once -->
	<?php showYesNo(_LD_WRITECOM_ONCE,_LD_WRITECOM_ONCEDESC,'writeonce',true ); ?>
	<!-- Write Comment Only Once -->

	<!-- Auto publish comment -->
	<?php showYesNo(_LD_COM_AUTOPUB,_LD_COM_AUTOPUBDESC,'autopbcomment',true ); ?>
	<!-- Auto publish Comment -->

	<!-- Guest write comment -->
	<?php showYesNo(_LD_COM_GUEST,_LD_COM_GUESTDESC,'gaddcom',true ); ?>
	<!-- Guest write comment -->
	
	<!-- View real name in comment list -->
	<?php showYesNo(_LD_COM_VIEW_REAL_NAME,_LD_COM_VIEW_REAL_NAME_DESC,'realnamecomment',true ); ?>
	<!-- View real name in comment list -->

	<!-- Comment limit  for a page -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_COM_LIMIT;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="3"
			name="limitcomment" value="<?php echo $ld->limitcomment;?>"
			maxlength="2" /></td>
		<td align="left" valign="top"><?php echo _LD_COM_LIMITDESC;?></td>
	</tr>
	<!-- Comment limit for a page -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();
}

	$tabs->startTab(_LD_RATING,'rating-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_RATING_SETTINGS;?></th>
	</tr>

	<!-- Rate Once -->
	<?php showYesNo(_LD_RATE_ONCE,_LD_RATE_ONCEDESC,'rateonce',true ); ?>
	<!-- Rate Once -->

	<!-- Guest add rating -->
	<?php showYesNo(_LD_GUEST_RATE,_LD_GUEST_RATEDESC,'gaddrate',true ); ?>
	<!-- Guest add rating -->

	<!-- View rating -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_VIEW_RATE;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="3"
			name="minrate" value="<?php echo $ld->minrate;?>" maxlength="2" /></td>
		<td align="left" valign="top"><?php echo _LD_VIEW_RATEDESC;?></td>
	</tr>
	<!-- Guest add rating -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();


	$tabs->startTab(_LD_REPORT,'report-page');
	?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_REPORT_SETTINGS;?></th>
	</tr>

	<!-- Report Bad Link -->
	<?php showYesNo(_LD_REPORTSYSTEM,_LD_REPORTSYSTEMDESC,'badlink',true ); ?>
	<!-- Report Bad Link -->
	
	<!-- Report Email -->
	<?php showYesNo(_LD_REPORT_EMAIL,_LD_REPORT_EMAILDESC,'reportemail',true ); ?>
	<!-- Report Email -->

	<!-- Spesific Email -->
	<tr>
		<td align="left" width="30%"><strong><?php echo _LD_REPORT_OTHER;?></strong></td>
		<td align="left" valign="top" width="20%"><input type="text" size="30"
			name="semail" value="<?php echo $ld->semail;?>" /></td>
		<td align="left" valign="top"><?php echo _LD_REPORT_OTHERDESC;?></td>
	</tr>
	<!-- Spesific Email -->

	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
		<?php
		$tabs->endTab();



$tabs->startTab(_LD_SEARCH,'search-page'); 
?>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
	class="adminlist">
	<tr>
		<th align="center" colspan="3"><?php echo _LD_SEARCH_SETTINGS;?></th>
	</tr>
	<!-- Search Engine -->
	<?php
	showYesNo(_LD_SEARCHENGINE,_LD_SENGINEDESC,'sengine',true );
	?>
	<!-- Search Engine -->
	
	<!-- Suche-Details -->
	<?php 
	showYesNo(_LD_SEARCH_TITLE,_LD_SEARCH_TITLE_DESC,'searchtitle',true );
	showYesNo(_LD_SEARCH_URL,_LD_SEARCH_URL_DESC,'searchurl',true);
	showYesNo(_LD_SEARCH_DESCRIPTION,_LD_SEARCH_DESCRIPTION_DESC,'searchdesc',true);
	showYesNo(_LD_SEARCH_LONG_DESCRIPTION,_LD_SEARCH_LONG_DESCRIPTION_DESC,'searchlongdesc',true);
	showYesNo(_LD_SEARCH_CAT_TITLE,_LD_SEARCH_CAT_TITLE_DESC,'searchcattitle',true);
	showYesNo(_LD_SEARCH_CAT_DESC,_LD_SEARCH_CAT_DESC_DESC,'searchcatdesc',true);
	showYesNo(_LD_SEARCH_ONLY_IN_SUB_CATS,_LD_SEARCH_ONLY_IN_SUB_CATS_DESC,'searchonlyinsubcats',true);
	?>
	<!-- Suche-Details -->
	<tr>
		<th align="center" colspan="3">&nbsp;</th>
	</tr>

</table>
<?php
$tabs->endTab();

$tabs->endPane();
?> <input type="hidden" name="option" value="com_linkdirectory" /> <input
	type="hidden" name="task" value="saveconfig" /> <input type="hidden"
	name="boxchecked" value="0" /></form>
<?php

}

/**
 * Ausgabe einer Zeile mit YES/NO
 *
 * @param String $key Kurzbeschreibunh
 * @param String $desc Lange Beschreibung
 * @param String $name Name der Vaiable (HTML und in config.php)
 */
function showYesNo($key,$desc,$name, $enable=true){
	global $ld;
	$defaultValue=$ld->$name;
	$tag_attribs='class="inputbox"';
	if (! $enable)
		$tag_attribs.=' disabled="disabled"';
?>	
	<tr>
		<td align="left" valign="top" width="30%"><strong><?php echo $key;?></strong></td>
		<td align="left" valign="top" width="20%"><?php
				
		$stitle = mosHTML::yesnoRadioList( $name, $tag_attribs , $defaultValue );
		echo $stitle;
		?></td>
		<td align="left" valign="top"><?php echo $desc;?></td>
	</tr>	
<?php
}


function initConfig(){
	return '';
}

function addHeaderToConfig(&$config){
	$config .= "<?php
/**
 * @ H2N Link Directory 1.0.0 config.php
 * @ Copyright (C) 2008 Harry Klein - www.joomla-hklein.de
 * @ 
 * @ Link Directory 1.1 config.php
 * @ Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
**/
defined( '_VALID_MOS' ) or die( 'Restricted access' );
global \$ld;
";	
}

function addFooterToConfig(&$config){
	$config .= "?>";
}
function saveStringToConfig(&$config, $varName, $default=''){
	$newValue = mosGetParam($_POST, $varName, $default);
	$config .= "\$ld->$varName = \"$newValue\";\n";
}
function saveHtmlStringToConfig(&$config, $varName, $default=''){
	$newValue = $_POST [$varName];
	$config .= "\$ld->$varName = \"$newValue\";\n";
}
function saveIntToConfig(&$config, $varName, $default=0){
	$newValue = intval(mosGetParam($_POST, $varName, $default));
	$config .= "\$ld->$varName = \"$newValue\";\n";
}

function SaveConfig() {
	$configfile = 'components/com_linkdirectory/config.php';

	@chmod ($configfile, 0766);
	$permission = is_writable($configfile);
	if (!$permission) {
		mosRedirect('index2.php?option=com_linkdirectory', _LD_SETTINGNOTSAVE);
	}
	
	$config=initConfig();
	addHeaderToConfig($config);
	
	saveIntToConfig($config, 'autopbcomment', 0 );
	saveIntToConfig($config, 'gaddcom', 0 );
	saveIntToConfig($config, 'gaddrate', 0 );
	saveIntToConfig($config, 'rateonce', 1 );
	saveIntToConfig($config, 'writeonce', 1 );
	saveIntToConfig($config, 'minrate', 5 );	
	saveIntToConfig($config, 'reportemail', 0 );
	saveStringToConfig($config, 'semail' ,'' );
	saveIntToConfig($config,'column', 2);
	saveStringToConfig($config,  'integration', 'jm');	
	saveIntToConfig($config,'catimage', 1);
	saveIntToConfig($config,'catdesc', 1);
	saveIntToConfig($config,'ldshowcatonlist', 0);
	saveIntToConfig($config,'tlink', 1);
	saveIntToConfig($config,'tslink', 0);
	saveIntToConfig($config, 'sublimit', 3);
	saveStringToConfig($config,  'template', 'default');
	saveIntToConfig($config,'versioncheck', 1);
	saveIntToConfig($config, 'copyrigthinfo', 1);
	$config .= "\$ld->version = \"". VersionManager::getLocalVersion()."\";\n";
	saveIntToConfig($config, 'dpage', 1);
	saveIntToConfig($config, 'javascriptchecks', 1);
	saveIntToConfig($config, 'limitlink', 10 );
	saveIntToConfig($config, 'limitcomment', 10 );
	saveIntToConfig($config, 'sengine', 0);
	saveIntToConfig($config, 'allowadd', 10);
	saveIntToConfig($config, 'ldlinkautopublish',0);
	saveIntToConfig($config, 'allowedit', 10);
	saveStringToConfig($config, 'linkorder', 'id ASC');
	saveStringToConfig($config, 'catorder', 'name ASC');
	saveIntToConfig($config, 'scat', 1);
	saveIntToConfig($config,'ldlcatautopublish',0);
	saveIntToConfig($config, 'ldisplay', 0);
	saveIntToConfig($config, 'ldlongdetail', 0);
	saveIntToConfig($config, 'ldlonglist', 0);
	saveIntToConfig($config, 'ldshowdetailpage', 1);
	saveIntToConfig($config, 'ldshowlinkadd', 1);	
	saveIntToConfig($config, 'ratelink', 1);
	saveIntToConfig($config, 'showfastlink', 0);
	saveIntToConfig($config, 'showhits', 1);
	saveIntToConfig($config, 'commentlink', 1);
	saveIntToConfig($config, 'badlink', 0);
	saveStringToConfig($config, 'ldeditor', '');
	saveStringToConfig($config, 'securityimage', 'none');
	saveIntToConfig($config,'searchtitle', 0 );
	saveIntToConfig($config,'searchurl', 0 );
	saveIntToConfig($config,'searchdesc', 0 );
	saveIntToConfig($config,'searchlongdesc', 0 );
	saveIntToConfig($config,'searchcattitle', 0 );
	saveIntToConfig($config,'searchcatdesc', 0 );
	saveIntToConfig($config,'searchonlyinsubcats', 0);
	saveStringToConfig($config,'linkthumbtype','none');
	saveHtmlStringToConfig($config,'linkthumbuserhtml','');
	saveHtmlStringToConfig($config,'linkthumbuserbacklinkhtml','');
	saveStringToConfig($config, 'linkthumbpara1','');
	saveStringToConfig($config, 'linkthumbpara2','');
	saveIntToConfig($config,'realnamecomment', 0);
	saveStringToConfig($config,'thumbfolderlist' ,'');
	saveIntToConfig($config,'linkthumbaltimage',0);	
	saveIntToConfig($config,'linkthumbaltservice',0);
	saveStringToConfig($config,'linkthumblocalcssclass','');
	
	addFooterToConfig($config);
	mosCache::cleanCache( 'com_linkdirectory' );
	if ($fp = fopen("$configfile", "w")) {
		fputs($fp, $config, strlen($config));
		fclose ($fp);
	} else {
		mosRedirect('index2.php?option=com_linkdirectory', _LD_SETTINGNOTSAVE );
	}
	mosRedirect('index2.php?option=com_linkdirectory', _LD_SETTINGSAVE );

}

function CheckSecurityImages() {
	global $mosConfig_absolute_path;
	if (!file_exists($mosConfig_absolute_path."/administrator/components/com_securityimages/config.securityimages.php")){
		echo "<font color=\"red\"><strong>"._LD_NOTINSTALLED."</strong></font>";
	} else {
		echo "<font color=\"green\"><strong>"._LD_INSTALLED."</strong></font>";
	}
}
?>
